## org.eclipse.datatools.sqltools.routineeditor.ui
Interface IRoutineEditorDocumentProvider

All Superinterfaces:
  org.eclipse.ui.texteditor.IDocumentProvider, org.eclipse.ui.texteditor.IDocumentProviderExtension2, org.eclipse.ui.texteditor.IDocumentProviderExtension3

All Known Implementing Classes:
  ASARoutineSourceDocumentProvider, RoutineFormDocumentProviderAdapter, SQLDebuggerDocumentProvider, SQLRoutineDocumentProvider

    public interface IRoutineEditorDocumentProvider

extends org.eclipse.ui.texteditor.IDocumentProvider, org.eclipse.ui.texteditor.IDocumentProviderExtension2, org.eclipse.ui.texteditor.IDocumentProviderExtension3

This interface defines document provider operations specific to SQL Routine Editor.

Author:
  Hui Cao

Method Summary
`void` `refreshFromDatabase(java.lang.Object element, org.eclipse.datatools.sqltools.core.IControlConnection controlCon, org.eclipse.datatools.sqltools.core.ProcIdentifier proc)` Refreshs the routine object from database.

Methods inherited from interface org.eclipse.ui.texteditor.IDocumentProvider
`aboutToChange, addElementStateListener, canSaveDocument, changed, connect, disconnect, getAnnotationModel, getDocument, getModificationStamp, getSynchronizationStamp, isDeleted, mustSaveDocument, removeElementStateListener, resetDocument, saveDocument`

Methods inherited from interface org.eclipse.ui.texteditor.IDocumentProviderExtension2
`getProgressMonitor, setProgressMonitor`

Methods inherited from interface org.eclipse.ui.texteditor.IDocumentProviderExtension3
`isSynchronized`

Method Detail

### refreshFromDatabase

    void refreshFromDatabase(java.lang.Object element,
                             org.eclipse.datatools.sqltools.core.IControlConnection controlCon,
                             org.eclipse.datatools.sqltools.core.ProcIdentifier proc)
                             throws org.eclipse.core.runtime.CoreException,
                                    java.sql.SQLException

  Refreshs the routine object from database.

  Parameters:
    `element` - the routine object
    `controlCon` - control connection that's used by the routine editor
    `proc` - the routine identifier
  Throws:
    `org.eclipse.core.runtime.CoreException`
    `java.sql.SQLException`